%define upstream_name    B-C
%define upstream_version 1.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The Perl Compiler C backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Flags) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Opcodes)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl-devel
%description
This compiler backend takes Perl source and generates C source code
corresponding to the internal structures that perl uses to run your
program. When the generated C source is compiled and run, it cuts out the
time which perl would have taken to load and parse your program into its
internal semi-compiled form. That means that compiling with this backend
will not help improve the runtime execution speed of your program but may
improve the start-up time. Depending on the environment in which your
program runs this may be either a help or a hindrance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%check
#%make test

%install
%makeinstall_std

%files
%doc Changes NOTES README STATUS TESTS
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/assemble
%{_bindir}/cc_harness
%{_bindir}/disassemble
%{_bindir}/perlcc
%{_mandir}/man1/assemble.1.xz
%{_mandir}/man1/disassemble.1.xz
%{_mandir}/man1/perlcc.1.xz


%changelog
* Thu Jan 16 2014 tv <tv> 1.430.0-1.mga4
+ Revision: 566693
- official release

* Sat Oct 19 2013 umeabot <umeabot> 1.420.90-0.2.mga4
+ Revision: 534440
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.420.90-0.1.mga4
+ Revision: 477877
- more usable snapshot
- more usable snapshot

* Wed May 29 2013 tv <tv> 1.420.1-0.1.mga4
+ Revision: 432682
- use a git snapshot that build with perl-5.18
- rebuild for new perl

  + jquelin <jquelin>
    - perl 5.18.0 rebuild

* Tue May 21 2013 tv <tv> 1.420.0-4.mga3
+ Revision: 413584
- patch 0: fix build

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 1.420.0-2.mga2
+ Revision: 211669
- fix typo in paths
- fix path
- fix typo
- tests on B::C are bad.
- fix paths in %%file
- update to 1.42

* Tue Nov 08 2011 kharec <kharec> 1.360.0-1.mga2
+ Revision: 165231
- imported package perl-B-C


* Mon Nov 07 2011 cpan2dist 1.36-1mga
- initial mageia release, generated with cpan2dist
